FROM debian:bullseye-slim
RUN apt-get update --fix-missing -yq && \
    apt-get install \
        --yes \
        --no-install-recommends \
        libgfortran5 \
        python3 \
        python3-pip \
        libquadmath0  \
        python3-setuptools \
        python3-dev \
        python3-grpc-tools \
        pycodestyle \
        black \
        python3-grpcio \
        procps \
        pylint3 \
        python3-numpy \
        wait-for-it \
        make && \
    apt-get autoclean && \
    apt-get autoremove && \
    apt-get clean && \
    rm -rf /tmp/* /var/tmp/* && \
    rm -rf /var/lib/apt/lists

COPY --from=sirehna/xdyn /usr/bin/xdyn /usr/bin/xdyn
COPY --from=sirehna/xdyn /usr/lib/libx-dyn.so /usr/lib/libx-dyn.so

ADD requirements.txt .
RUN pip3 install -r requirements.txt
ADD xdyngrpc /opt/xdyngrpc
ENV PYTHONPATH=/opt
WORKDIR /opt/xdyngrpc
ENTRYPOINT ["python3"]